Bug 111620 - device profile not acvivated
Summary: device profile not acvivated
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
(Show other bugs)
Version: 9
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-12-06 18:23 UTC by ezik shulamy
Modified: 2007-04-18 16:59 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-04 10:28:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description ezik shulamy 2003-12-06 18:23:42 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:Component: redhat-config-network
Version: 1.2.0
Summary: TB
/usr/lib/python2.2/site-packages/rhpl/Conf.py:278:write:IOError:
[Errno 13] Permission denied: '/etc/sysconfig/network'
Traceback (most recent call last):
  File "/usr/bin/redhat-control-network", line 256, in
on_profileActivateButton_clicked
    status=self.activate_new_profile(profile)
  File "/usr/bin/redhat-control-network", line 220, in
activate_new_profile
    profilelist.save()
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/NCProfileList.py",
line 255, in save
    nwconf.write()
  File "/usr/lib/python2.2/site-packages/rhpl/Conf.py", line 278, in write
    self.file = open(self.filename, 'w', -1)
IOError: [Errno 13] Permission denied: '/etc/sysconfig/network'

Local variables in innermost frame:
self: <rhpl.Conf.ConfShellVar instance at 0x86c31b4>

Comment 1 Harald Hoyer 2003-12-08 09:32:18 UTC
Please update to 1.2.15.... profile switching requires root rights
https://rhn.redhat.com/errata/RHBA-2003-183.html


Note You need to log in before you can comment on or make changes to this bug.